RPM::Sign(3)

NAME
RPM::Sign

SYNOPSIS
A container to massively resign packages

DESCRIPTION
This object retains gpg options and provides functions to easilly sign or resign packages. It does not resign packages having already the proper signature.

METHODS

  new(%options)
Create a new RPM::Sign object.

Options are:

name
    The gpg key identity to use

path
    the gpg homedir where keys are located

password_file
    Use passphrase contains in this files

passphrase
    Use this passphrase to unlock the key

checkrpms
    Set to 0 remove the signature checking on packages

  rpmssign(@filelist)
Sign or resign the packages passed are arguments

SEE ALSO
RPM RPM::Header